<h1>Directives Demo</h1>
<ul>
    <li><a [routerLink]="'/css-class'">CSS Class</a></li>
    <li><a [routerLink]="'/css-property'">CSS Property</a></li>
    <li><a [routerLink]="'/template'">Template / Container</a></li>
    <li><a [routerLink]="'/using-if'">Using *ngIf</a></li>
    <li><a [routerLink]="'/using-switch'">Using ngSwitch</a></li>
    <li><a [routerLink]="'/using-for'">Using *ngFor</a></li>
</ul>
<router-outlet></router-outlet>
